*  log200.prg   summary by id

clear
use adata index id

go top

store 5 to line_no
set device to print

@ 1,4 say "            Minutes      Server        Bytes        Bytes"
@ 2,4 say "   ID       Logged      Requests       Read        Written  "
@ 3,4 say "--------  -----------  -----------  -----------  -----------"

do while .not. eof()
   store adate to t_adate
   store dtime to t_dtime
   store node  to t_node
   store id    to t_id
   store 0     to t_minlog, t_sreq, t_br, t_bw

   do while id = t_id
      t_minlog = t_minlog + min_log
      t_sreq   = t_sreq + serv_req
      t_br     = t_br + b_read
      t_bw     = t_bw + b_written
      skip
   enddo

   @ line_no,  1 say t_id
   @ line_no, 14 say t_minlog picture "999,999,999"
   @ line_no, 27 say t_sreq   picture "999,999,999"
   @ line_no, 40 say t_br     picture "999,999,999"
   @ line_no, 53 say t_bw     picture "999,999,999"

   line_no = line_no + 1

enddo

eject
set device to screen
return
